Bug 1260109 - Add support for MIPS architecture to config.h
Add support for MIPS architecture to config.h
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MIPS
  Show dependency treegraph
 
Reported: 2015-09-04 08:26 EDT by Michal Toman
Modified: 2016-04-29 18:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 18:32:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add-support-for-MIPS-architecture-to-config.h.patch (1.51 KB, application/mbox)
2015-09-04 08:26 EDT, Michal Toman
no flags Details

  None (edit)
Description Michal Toman 2015-09-04 08:26:25 EDT
Created attachment 1070247 [details]
Add-support-for-MIPS-architecture-to-config.h.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires to add MIPS support to config.h

Actual results:
No MIPS support in config.h

Expected results:
ruby works on MIPS

Additional info:
Attaching a dist-git patch
Comment 1 Michal Toman 2015-09-04 08:27:27 EDT
It would be great if this could also be applied to F23
Comment 2 Vít Ondruch 2015-09-04 08:56:33 EDT
Are you using koji-shadow or something like this? Do I need to build the package?
Comment 3 Michal Toman 2015-09-04 09:04:40 EDT
Not yet, waiting for build HW at this moment, but we are going to deploy koji-shadow as soon as this is available.

You do not need to build the package right away, just include the changes in the next build.
Comment 4 Vít Ondruch 2015-09-04 09:23:36 EDT
It should be in Git, it will be included in next build when time comes. Leaving this in MODIFIED for now.
Comment 5 Jan Kurik 2016-02-24 08:43:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Vít Ondruch 2016-04-29 18:32:17 EDT
This is in Fedora already for some while.

Note You need to log in before you can comment on or make changes to this bug.